%global srcname nose-ignore-docstring

Name:           python-%{srcname}
Version:        0.2
Release:        1%{?dist}
Summary:        Ignore docstring to name tests in nose

License:        MIT
URL:            https://github.com/schlamar/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/n/%{srcname}/%{srcname}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/schlamar/nose-ignore-docstring/master/LICENSE
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2dist(nose)
BuildRequires:  python2dist(setuptools)

BuildRequires:  python3-devel
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(setuptools)

%description
This package contains a plugin for nose.  If this plugin is active, nose
does not use docstrings to name tests.

%package -n     python2-%{srcname}
Summary:        Ignore docstring to name tests in nose
Requires:       python2dist(nose)

%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
This package contains a plugin for nose.  If this plugin is active, nose
does not use docstrings to name tests.

%package -n     python3-%{srcname}
Summary:        Ignore docstring to name tests in nose
Requires:       python3dist(nose)

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This package contains a plugin for nose.  If this plugin is active, nose
does not use docstrings to name tests.

%prep
%setup -q -n %{srcname}-%{version}
cp -p %{SOURCE1} .

%build
# Python 2 build
%py2_build

# Python 3 build
%py3_build

%install
# Python 2 install
mkdir -p %{buildroot}%{python2_sitelib}/nose/plugins
%py2_install
mv %{buildroot}%{python2_sitelib}/nose_* \
   %{buildroot}%{python2_sitelib}/nose/plugins

# Python 3 install
mkdir -p %{buildroot}%{python3_sitelib}/nose/plugins
%py3_install
mv %{buildroot}%{python3_sitelib}/{nose_*,__pycache__} \
   %{buildroot}%{python3_sitelib}/nose/plugins

%files -n python2-%{srcname}
%doc README.rst
%license LICENSE
%{python2_sitelib}/nose/plugins/nose_ignoredoc*
%{python2_sitelib}/nose/plugins/nose_ignore_docstring*.egg-info/

%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/nose/plugins/nose_ignoredoc.py
%{python3_sitelib}/nose/plugins/nose_ignore_docstring*.egg-info/
%{python3_sitelib}/nose/plugins/__pycache__/nose_ignoredoc.*

%changelog
* Wed Aug 29 2018 Jerry James <loganjerry@gmail.com> - 0.2-1
- Initial RPM
